Send a viewing
curl --request POST \
--url https://api.signalproptech.com/api/v1/partner/viewings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"property": {
"ref": "<string>",
"address": "<string>",
"development": {
"ref": "<string>",
"name": "<string>"
},
"details": {
"price": {
"amount": 1
},
"bedrooms": 25,
"bathrooms": 25,
"property_type": "<string>",
"floor_area_sqm": 50000,
"available_from": "2023-12-25",
"pets_allowed": true,
"minimum_term_months": 60,
"deposit": {
"amount": 1
}
}
},
"duration_minutes": 30,
"enquiry_external_id": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact": {
"external_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"email": "<string>"
},
"negotiator": {
"name": "<string>",
"email": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.signalproptech.com/api/v1/partner/viewings"
payload = {
"external_id": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"property": {
"ref": "<string>",
"address": "<string>",
"development": {
"ref": "<string>",
"name": "<string>"
},
"details": {
"price": { "amount": 1 },
"bedrooms": 25,
"bathrooms": 25,
"property_type": "<string>",
"floor_area_sqm": 50000,
"available_from": "2023-12-25",
"pets_allowed": True,
"minimum_term_months": 60,
"deposit": { "amount": 1 }
}
},
"duration_minutes": 30,
"enquiry_external_id": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact": {
"external_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"email": "<string>"
},
"negotiator": {
"name": "<string>",
"email": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
property: {
ref: '<string>',
address: '<string>',
development: {ref: '<string>', name: '<string>'},
details: {
price: {amount: 1},
bedrooms: 25,
bathrooms: 25,
property_type: '<string>',
floor_area_sqm: 50000,
available_from: '2023-12-25',
pets_allowed: true,
minimum_term_months: 60,
deposit: {amount: 1}
}
},
duration_minutes: 30,
enquiry_external_id: '<string>',
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact: {
external_id: '<string>',
first_name: '<string>',
last_name: '<string>',
phone: '<string>',
email: '<string>'
},
negotiator: {name: '<string>', email: '<string>'},
updated_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.signalproptech.com/api/v1/partner/viewings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.signalproptech.com/api/v1/partner/viewings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'external_id' => '<string>',
'scheduled_at' => '2023-11-07T05:31:56Z',
'property' => [
'ref' => '<string>',
'address' => '<string>',
'development' => [
'ref' => '<string>',
'name' => '<string>'
],
'details' => [
'price' => [
'amount' => 1
],
'bedrooms' => 25,
'bathrooms' => 25,
'property_type' => '<string>',
'floor_area_sqm' => 50000,
'available_from' => '2023-12-25',
'pets_allowed' => true,
'minimum_term_months' => 60,
'deposit' => [
'amount' => 1
]
]
],
'duration_minutes' => 30,
'enquiry_external_id' => '<string>',
'contact_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'contact' => [
'external_id' => '<string>',
'first_name' => '<string>',
'last_name' => '<string>',
'phone' => '<string>',
'email' => '<string>'
],
'negotiator' => [
'name' => '<string>',
'email' => '<string>'
],
'updated_at' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.signalproptech.com/api/v1/partner/viewings"
payload := strings.NewReader("{\n \"external_id\": \"<string>\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"property\": {\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"development\": {\n \"ref\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n }\n },\n \"duration_minutes\": 30,\n \"enquiry_external_id\": \"<string>\",\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact\": {\n \"external_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"negotiator\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"updated_at\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.signalproptech.com/api/v1/partner/viewings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"external_id\": \"<string>\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"property\": {\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"development\": {\n \"ref\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n }\n },\n \"duration_minutes\": 30,\n \"enquiry_external_id\": \"<string>\",\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact\": {\n \"external_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"negotiator\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"updated_at\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.signalproptech.com/api/v1/partner/viewings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"external_id\": \"<string>\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"property\": {\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"development\": {\n \"ref\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n }\n },\n \"duration_minutes\": 30,\n \"enquiry_external_id\": \"<string>\",\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact\": {\n \"external_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"negotiator\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"updated_at\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"viewing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"feedback": "scheduled",
"reason": "too_late"
}{
"viewing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"feedback": "scheduled",
"reason": "too_late"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Viewings
Send a viewing
Send it when it’s booked, moved or cancelled, before it happens. Sending the same external_id again updates it. A viewing first heard of more than 2 hours after its start never triggers feedback.
POST
/
viewings
Send a viewing
curl --request POST \
--url https://api.signalproptech.com/api/v1/partner/viewings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"property": {
"ref": "<string>",
"address": "<string>",
"development": {
"ref": "<string>",
"name": "<string>"
},
"details": {
"price": {
"amount": 1
},
"bedrooms": 25,
"bathrooms": 25,
"property_type": "<string>",
"floor_area_sqm": 50000,
"available_from": "2023-12-25",
"pets_allowed": true,
"minimum_term_months": 60,
"deposit": {
"amount": 1
}
}
},
"duration_minutes": 30,
"enquiry_external_id": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact": {
"external_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"email": "<string>"
},
"negotiator": {
"name": "<string>",
"email": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.signalproptech.com/api/v1/partner/viewings"
payload = {
"external_id": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"property": {
"ref": "<string>",
"address": "<string>",
"development": {
"ref": "<string>",
"name": "<string>"
},
"details": {
"price": { "amount": 1 },
"bedrooms": 25,
"bathrooms": 25,
"property_type": "<string>",
"floor_area_sqm": 50000,
"available_from": "2023-12-25",
"pets_allowed": True,
"minimum_term_months": 60,
"deposit": { "amount": 1 }
}
},
"duration_minutes": 30,
"enquiry_external_id": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact": {
"external_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"email": "<string>"
},
"negotiator": {
"name": "<string>",
"email": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
property: {
ref: '<string>',
address: '<string>',
development: {ref: '<string>', name: '<string>'},
details: {
price: {amount: 1},
bedrooms: 25,
bathrooms: 25,
property_type: '<string>',
floor_area_sqm: 50000,
available_from: '2023-12-25',
pets_allowed: true,
minimum_term_months: 60,
deposit: {amount: 1}
}
},
duration_minutes: 30,
enquiry_external_id: '<string>',
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact: {
external_id: '<string>',
first_name: '<string>',
last_name: '<string>',
phone: '<string>',
email: '<string>'
},
negotiator: {name: '<string>', email: '<string>'},
updated_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.signalproptech.com/api/v1/partner/viewings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.signalproptech.com/api/v1/partner/viewings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'external_id' => '<string>',
'scheduled_at' => '2023-11-07T05:31:56Z',
'property' => [
'ref' => '<string>',
'address' => '<string>',
'development' => [
'ref' => '<string>',
'name' => '<string>'
],
'details' => [
'price' => [
'amount' => 1
],
'bedrooms' => 25,
'bathrooms' => 25,
'property_type' => '<string>',
'floor_area_sqm' => 50000,
'available_from' => '2023-12-25',
'pets_allowed' => true,
'minimum_term_months' => 60,
'deposit' => [
'amount' => 1
]
]
],
'duration_minutes' => 30,
'enquiry_external_id' => '<string>',
'contact_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'contact' => [
'external_id' => '<string>',
'first_name' => '<string>',
'last_name' => '<string>',
'phone' => '<string>',
'email' => '<string>'
],
'negotiator' => [
'name' => '<string>',
'email' => '<string>'
],
'updated_at' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.signalproptech.com/api/v1/partner/viewings"
payload := strings.NewReader("{\n \"external_id\": \"<string>\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"property\": {\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"development\": {\n \"ref\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n }\n },\n \"duration_minutes\": 30,\n \"enquiry_external_id\": \"<string>\",\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact\": {\n \"external_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"negotiator\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"updated_at\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.signalproptech.com/api/v1/partner/viewings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"external_id\": \"<string>\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"property\": {\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"development\": {\n \"ref\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n }\n },\n \"duration_minutes\": 30,\n \"enquiry_external_id\": \"<string>\",\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact\": {\n \"external_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"negotiator\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"updated_at\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.signalproptech.com/api/v1/partner/viewings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"external_id\": \"<string>\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"property\": {\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"development\": {\n \"ref\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n }\n },\n \"duration_minutes\": 30,\n \"enquiry_external_id\": \"<string>\",\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact\": {\n \"external_id\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"negotiator\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"updated_at\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"viewing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"feedback": "scheduled",
"reason": "too_late"
}{
"viewing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"feedback": "scheduled",
"reason": "too_late"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Authorizations
Body
application/json
A viewing booked, moved or cancelled in your system, for one person.
Response
Updated a viewing we already had.
What Signal will do about a viewing you sent.
Why no feedback will be asked for. too_late: we first heard of it more than 2 hours after its start. cancelled / no_show: it didn't go ahead. opted_out, no_consent, no_phone, not_mobile, transaction_type_off, whatsapp_not_connected: as for enquiries.
Available options:
too_late, cancelled, no_show, opted_out, no_consent, no_phone, not_mobile, transaction_type_off, whatsapp_not_connected